Subject: Re: git svn: Supporting multiple branch subdirs?

From: Marc Branchaud <[email-masked]>
Date: Wed, 17 Jun 2009 11:25:50 -0400

Michael J Gruber wrote:
> 
>> (Shouldn't that fetch line be head:refs/remots/head, since there's nothing called
>> "trunk" in the svn repo?  I used git-svn init --trunk=head ...)
> 
> The left hand side of the refspec refers to the svn repo, the right hand
> side only names your local ref. Feel free to put "head" there, although
> this can be confused very easily with "HEAD" which has special meaning
> in git.

Sure.  I was mostly wondering why --trunk=head didn't just reuse the name in my local ref.  A minor bug, perhaps?

(And the FreeBSD community commonly refers to that branch as "current", so that's a name I can use locally.)

> P.S.: Let me know if you give it a shot, so that we don't duplicate our
> waste of time...

I have some cycles to work on this, but I'd need some guidance around git-svn's internals.  I'm not even sure where to start implementing the "branches2" hack you described...

		M.